#include <sta/bus/i2c/i2c.hpp>
#include <sta/debug/debug.hpp>

namespace sta 
{
    I2C::I2C(Mutex * mutex)
        : Interface{mutex}
    {

    }

    void I2C::setSettings(uint16_t address, bool master, bool blocking)
    {
    	address_ = address;
    	master_ = master;
    	blocking_ = blocking;
    }

    void I2C::scanAddresses()
    {
        for (uint8_t i = 0; i < 128; ++i)
		{
			if (hasAddress(i))
            {
                STA_DEBUG_PRINTF("Address %d is available", i);
            }
		}
    }
} // namespace sta
